Get a connection
GET
/partners/connections/{uuid}Retrieves a single connection by UUID.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredConnection UUID from list connections.
Responses
200Connection retrieved.404Connection not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootGET
https://api.getcount.com/partners/connections/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'GET';
const signingPath = '/connections/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/connections/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"data": {
"connection": {
"id": "66778899-aabb-ccdd-eeff-001122334455",
"provider": "plaid",
"institutionName": "Chase",
"status": "active",
"lastSyncAt": "2026-01-28T14:22:30.000Z",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z",
"accounts": [
{
"id": "c8d9e0f1-a2b3-4567-cdef-789012345678",
"name": "Business Checking",
"mask": "1234",
"type": "depository"
}
]
}
}
}